Skip to navigation

Create account using plan and modules

View as Markdown

Creates a new Docusign account within an organization.

In the request body, specify the subscription and plan IDs for the new account. You can get these IDs through the GetOrganizationPlanItems endpoint.

You also need to specify information about the new target account, including the name, location, and administrator. To set the location, provide the countryCode property. When you are testing in the developer environment, the value of countryCode will always be US.

The request body looks like this:

{
"subscriptionDetails": {
"id": "'${SUBSCRIPTION_ID}'",
"planId": "'${PLAN_ID}'",
"modules": []
},
"targetAccount": {
"name": "'${ACCOUNT_NAME}'",
"countryCode": "US",
"admin": {
"email": "'${EMAIL_ADDRESS}'",
"firstName": "'${FIRST_NAME}'",
"lastName": "'${LAST_NAME}'",
"locale": "en"
}
}
}

To call this endpoint:

  • You must be an administrator for the specified organization.

Required scopes: organization_sub_account_write

Path parameters

organizationIdstringRequiredformat: "uuid"
The organization's GUID.

Request

This endpoint expects an object: SubAccountCreateRequest

subscriptionDetailsobjectOptional
targetAccountobjectOptional

Response

OK
AssetGroupWorkobjectOptional
MessagestringOptional
SuccessbooleanOptional